%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name DB_DataObject

Name:           php-pear-DB-DataObject
Version:        1.8.8
Release:        3%{?dist}
Summary:        An SQL Builder, Object Interface to Database Tables

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/DB_DataObject
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires:       php-pear(DB) >= 1.7.0, php-pear(Date) >= 1.4.3
Requires(hint): php-pear(MDB2) >= 2.0.0, php-pear(Validate) >= 0.1.1
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
DataObject performs 2 tasks:
1. Builds SQL statements based on the objects vars and the builder methods.
2. acts as a datastore for a table row.

The core class is designed to be extended for each of your tables so that you
put the data logic inside the data classes. Included is a Generator to make
your configuration files and your base classes.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
install -pm 644 -c %{SOURCE1} LICENSE
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Move createTables script to %{bindir}
mv $RPM_BUILD_ROOT%{pear_phpdir}/DB/DataObject/createTables.php $RPM_BUILD_ROOT%{_bindir}
chmod +x $RPM_BUILD_ROOT%{_bindir}/createTables.php
ln -s ../../../../..%{_bindir}/createTables.php $RPM_BUILD_ROOT%{pear_phpdir}/DB/DataObject/


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE %{pear_name}-%{version}/docdir/%{pear_name}/docs/*
%{_bindir}/createTables.php
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/DB/DataObject*
%exclude %{_bindir}/DB/scripts/DB_DataObject_createTables.bat


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.8.8-2
- fix license tag

* Thu Feb  7 2008 Christopher Stone <chris.stone@gmail.com> 1.8.8-1
- Upstream sync

* Sat Sep  8 2007 Christopher Stone <chris.stone@gmail.com> 1.8.7-1
- Upstream sync
- Update license file

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.8.5-2
- Use correct version of license

* Sat Dec 16 2006 Christopher Stone <chris.stone@gmail.com> 1.8.5-1
- Upstream sync
- Add LICENSE to %%doc

* Fri Nov 17 2006 Christohper Stone <chris.stone@gmail.com> 1.8.4-2
- Fix version number in %%changelog
- Add versioned Requires
- Move createTables script to %%{_bindir}

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 1.8.4-1
- Initial Release
